# RandomVideo
* shell scripts to play a random video
* polls big button (buzzer) in left of lounge door
* polls 2-way-switch left from big button (buzzer)

## Usage instructions
### Buzzer commands
* button press (2s delay between presses) start or stop video
* switch up turns on "On Air"-mode (stops video and doesn't open new videos, button locked)
* switch down turns sound on, volume rises slowly and can be stopped with button press
* turn switch back from down to center position slowly decreases volume, it can be stopped when switch turned down again

## Install instructions
### crontab entries
* */15 * * * *            cd ~/RandomVideo; ~/RandomVideo/RandomVideo.sh cron
* @reboot                 cd ~/RandomVideo; ~/RandomVideo/buzzer.sh & pid=$!; while ! ping -c1 git.chch.it>/dev/null; do sleep 1; done; git -C ~/RandomVideo/ pull; kill -9 $pid; ~/RandomVideo/buzzer.sh

### fstab entries
* UUID=DAE9-9682        /mnt/video      vfat    defaults,users,ro  0       1

## Filelist
### RandomVideo.sh
* Plays a random video file

### buzzer.sh
* polls buzzer and 2-way-switch
* volume control
* controls video playback
* controls "On Air"-mode

### onair.mp4
* placeholder videofile for "On Air"-Message

### config.json
* configfile with all config parameters

### volumetest.sh
* testscript for ramping soundcard output volume
* reads volume value from amixer
* not a necessary file

### Bild
![Chaostreff Gang Buzzer](chch_gang_buzzer.JPG)

## Licence
* All stuff in this repo is licenced under Unlicence.
* current onair.mp4 is excluded and a placeholder!
